> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-references-typescript-bindings-u.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/state/acs/snapshot-timestamp

> Returns the timestamp of the most recent snapshot before the given date, for the given migration_id.
This corresponds to the record time of the last transaction in the snapshot.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/state/acs/snapshot-timestamp
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/state/acs/snapshot-timestamp:
    get:
      tags:
        - external
        - scan
      summary: GET /v0/state/acs/snapshot-timestamp
      description: >
        Returns the timestamp of the most recent snapshot before the given date,
        for the given migration_id.

        This corresponds to the record time of the last transaction in the
        snapshot.
      operationId: getDateOfMostRecentSnapshotBefore
      parameters:
        - name: before
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: >
              The endpoint will return the record time of the most recent
              snapshot before this parameter.
        - name: migration_id
          in: query
          required: true
          schema:
            type: integer
            format: int64
            description: >
              The endpoint will return the record time of the most recent
              snapshot for this migration id.
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcsSnapshotTimestampResponse'
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    AcsSnapshotTimestampResponse:
      type: object
      required:
        - record_time
      properties:
        record_time:
          type: string
          format: date-time
          description: |
            The record time of the last transaction in the snapshot.
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '500':
      description: internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````